# Uses of Class
writer2latex.office.TableReader

Packages that use TableReader
Package
Description
writer2latex.latex
writer2latex.office

## Uses of TableReader in writer2latex.latex

Methods in writer2latex.latex with parameters of type TableReader
Modifier and Type
Method
Description
`boolean`
MathConverter.`handleDisplayEquation(TableReader table, LaTeXDocumentPortion ldp)`
Try to convert a table as a display equation: A 1 row by 2 columns table in which each cell contains exactly one paragraph, the left cell contains exactly one formula and the right cell contains exactly one sequence number is treated as a (numbered) display equation.
Constructors in writer2latex.latex with parameters of type TableReader
Modifier
Constructor
Description
``
`TableFormatter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette, TableReader table, boolean bAllowPageBreak, boolean bIsInTable)`
Constructor: Create from a TableReader.

## Uses of TableReader in writer2latex.office

Methods in writer2latex.office that return TableReader
Modifier and Type
Method
Description
`TableReader`
OfficeReader.`getTableReader(Element node)`
Read a table from a table:table node
Constructors in writer2latex.office with parameters of type TableReader
Modifier
Constructor
Description
``
`TableRange(TableReader reader)`
``
`TableView(TableReader reader, TableRange range)`